Bug 54238 - Installer stops when trying to look for installed components (I wanted to upgrade my spanish RH 7.1 PC)
Summary: Installer stops when trying to look for installed components (I wanted to upg...
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: roswell
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Brent Fox
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-10-02 11:54 UTC by Pablo Alcaraz
Modified: 2007-04-18 16:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-10-24 02:18:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The anaconda dump (17.23 KB, text/plain)
2001-10-02 11:55 UTC, Pablo Alcaraz
no flags Details

Description Pablo Alcaraz 2001-10-02 11:54:16 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.4) Gecko/20010913

Description of problem:
Every's fine until Anacando try to recover my package installed.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Bootup Rosweel CD in text mode. Choose Spanish language and keyboard
2. Choose Upgrade the installation
3. Choose ext2 for all partitions and lilo as default 
	

Actual Results:  The installer stops when try to detect installed packets

Expected Results:  The installer must install all

Additional info:

I'm using an AMD 1.2Ghz, 512mb RAM, 2 HD 40Gb, Riva TNT2 and Mouse wheel.
My current Linux is RH 7.1 and I installed the kernel 2.4.10


This is the dump of anaconda:

Traceback (innermost last):
  File "/usr/bin/anaconda", line 620, in ?
    intf.run(id, dispatch, configFileData)
  File "/usr/lib/anaconda/text.py", line 403, in run
    dispatch.gotoNext()
  File "/usr/lib/anaconda/dispatch.py", line 142, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/dispatch.py", line 207, in moveStep
    rc = apply(func, self.bindArgs(args))
  File "/usr/lib/anaconda/upgrade.py", line 273, in upgradeFindPackages
    iutil.setClock (instPath)
  File "/usr/lib/anaconda/iutil.py", line 372, in setClock
    root = root)
  File "/usr/lib/anaconda/iutil.py", line 61, in execWithRedirect
    raise RuntimeError, command + " can not be run"
RuntimeError: /bin/sh can not be run

Local variables in innermost frame:
argv: ('bash', '-c', '\012if [ -f /etc/sysconfig/clock ]; then\012   .
/etc/sysconfig/clock\012   \012   # convert old style clock config to new
values\012   if [ "${CLOCKMODE}" = "GMT" ]; then\012      UTC=true\012  
elif [ "${CLOCKMODE}" = "ARC" ]; then\012      ARC=true\012  
fi\012fi\012\012CLOCKFLAGS="--hctosys"\012\012case "$UTC" in\012  
yes|true)\012    CLOCKFLAGS="$CLOCKFLAGS -u";\012    
;;\012esac\012\012case "$ARC" in\012     yes|true)\012       
CLOCKFLAGS="$CLOCKFLAGS -A";\012     ;;\012esac\012case "$SRM" in\012    
yes|true)\012        CLOCKFLAGS="$CLOCKFLAGS -S";\012    
;;\012esac\012/sbin/hwclock $CLOCKFLAGS\012')
root: /mnt/sysimage
stdin: 22
newPgrp: 0
stdout: 23
stderr: 23
command: /bin/sh
searchPath: 0
ignoreTermSigs: 0


Dispatcher instance, containing members:
skipSteps: {'reconfigwelcome': 1, 'fdisk': 1, 'reconfigkeyboard': 1,
'authentication': 1, 'package-selection': 1, 'videocard': 1,
'handleX11pkgs': 1, 'partition': 1, 'reconfigcomplete': 1,
'partitionmethod': 1, 'network': 1, 'monitor': 1, 'enablefilesystems': 1,
'xcustom': 1, 'confirminstall': 1, 'autopartition': 1, 'addswap': 1,
'timezone': 1, 'partitiondone': 1, 'makebootdisk': 1, 'accounts': 1,
'networkdevicecheck': 1, 'writexconfig': 1, 'partitionmethodsetup': 1,
'languagesupport': 1, 'firewall': 1, 'autopartitionexecute': 1,
'writeconfig': 1, 'writeksconfig': 1}
dir: 1
id: InstallData instance, containing members:
  configFileData: {'Splashscreen': 'pixmaps/first.png', 'WelcomeScreen':
'pixmaps/splash.png', 'TitleBar': 'pixmaps/anaconda_header.png', 'Title':
'Red Hat Linux Beta'}
  upgradeSwapInfo: None
  langSupport: Language instance, containing members:
    langList: None
    allSupportedLangs: None
    supported: []
    langNicks: None
    default: None
    langInfoByName: {'Spanish (Colombia)': ('es_CO', 'iso01',
'lat0-sun16'), 'Spanish (Argentina)': ('es_AR', 'iso01', 'lat0-sun16'),
'Italian (Italy)': ('it_IT@euro', 'iso15', 'lat0-sun16'), 'Arabic
(Lebanon)': ('ar_LB', 'iso06', 'LatArCyrHeb-16'), 'Spanish (Guatemala)':
('es_GT', 'iso01', 'lat0-sun16'), 'Malay (Malaysia)': ('ms_MY', 'iso01',
'lat0-sun16'), 'Arabic (Libyan Arab Jamahiriya)': ('ar_LY', 'iso06',
'LatArCyrHeb-16'), 'Arabic (Oman)': ('ar_OM', 'iso06', 'LatArCyrHeb-16'),
'Arabic (Iraq)': ('ar_IQ', 'iso06', 'LatArCyrHeb-16'), 'Arabic (Kuwait)':
('ar_KW', 'iso06', 'LatArCyrHeb-16'), 'English (South Africa)': ('en_ZA',
'iso01', 'lat0-sun16'), 'French (Switzerland)': ('fr_CH', 'iso01',
'lat0-sun16'), 'Arabic (Bahrein)': ('ar_BH', 'iso06', 'LatArCyrHeb-16'),
'Croatian': ('hr_HR', 'iso02', 'lat2-sun16'), 'French (France)':
('fr_FR@euro', 'iso15', 'lat0-sun16'), 'Greenlandic (Greenland)': ('kl_GL',
'iso01', 'lat0-sun16'), 'Korean (Republic of Korea)': ('ko_KR.eucKR',
'iso01', 'lat0-sun16'), 'Ukrainian': ('uk_UA', 'koi8-u', 'cyr-sun16'),
'Spanish (Mexico)': ('es_MX', 'iso01', 'lat0-sun16'), 'Greek': ('el_GR',
'iso07', 'iso07.16'), 'Spanish (El Salvador)': ('es_SV', 'iso01',
'lat0-sun16'), 'Spanish (Peru)': ('es_PE', 'iso01', 'lat0-sun16'), 'Spanish
(Honduras)': ('es_HN', 'iso01', 'lat0-sun16'), 'Spanish (Costa Rica)':
('es_CR', 'iso01', 'lat0-sun16'), 'English (Denmark)': ('en_DK', 'iso01',
'lat0-sun16'), 'Dutch (Netherlands)': ('nl_NL@euro', 'iso15',
'lat0-sun16'), 'Serbian (Yugoslavia)': ('sr_YU@cyrillic', 'iso05',
'cyr-sun16'), 'Bosnian (Bosnia and Herzegowina)': ('bs_BA', 'iso02',
'lat2-sun16'), 'Russian (Ukraine)': ('ru_UA', 'koi8-u', 'cyr-sun16'),
'Portuguese (Portugal)': ('pt_PT@euro', 'iso15', 'lat0-sun16'), 'Afrikaans
(South Africa)': ('af_ZA', 'iso01', 'lat0-sun16'), 'Norwegian': ('no_NO',
'iso01', 'lat0-sun16'), 'Arabic (Morocco)': ('ar_MA', 'iso06',
'LatArCyrHeb-16'), 'English (Philippines)': ('en_PH', 'iso01',
'lat0-sun16'), 'Arabic (Algeria)': ('ar_DZ', 'iso06', 'LatArCyrHeb-16'),
'Indonesian': ('id_ID', 'iso01', 'lat0-sun16'), 'Danish': ('da_DK',
'iso01', 'lat0-sun16'), 'Chinese (Taiwan R.O.C.)': ('zh_TW.Big5', 'iso01',
'lat0-sun16'), 'Faroese (Faroe Islands)': ('fo_FO', 'iso01', 'lat0-sun16'),
'Galician (Spain)': ('gl_ES@euro', 'iso15', 'lat0-sun16'), 'English (New
Zealand)': ('en_NZ', 'iso01', 'lat0-sun16'), 'Spanish (Bolivia)': ('es_BO',
'iso01', 'lat0-sun16'), 'Cornish (Britain)': ('kw_GB', 'iso01',
'lat0-sun16'), 'Arabic (United Arab Emirates)': ('ar_AE', 'iso06',
'LatArCyrHeb-16'), 'Spanish (Nicaragua)': ('es_NI', 'iso01', 'lat0-sun16'),
'German (Austria)': ('de_AT@euro', 'iso15', 'lat0-sun16'), 'Romanian':
('ro_RO', 'iso02', 'lat2-sun16'), 'Spanish (Paraguay)': ('es_PY', 'iso01',
'lat0-sun16'), 'Hebrew (Israel)': ('he_IL', 'iso08', 'LatArCyrHeb-16'),
'German (Luxemburg)': ('de_LU@euro', 'iso15', 'lat0-sun16'), 'Spanish
(USA)': ('es_US', 'iso01', 'lat0-sun16'), 'Portuguese (Brasil)': ('pt_BR',
'iso01', 'lat0-sun16'), 'Spanish (Equador)': ('es_EC', 'iso01',
'lat0-sun16'), 'Polish': ('pl_PL', 'iso02', 'lat2-sun16'), 'Slovak':
('sk_SK', 'iso02', 'lat2-sun16'), 'Macedonian': ('mk_MK', 'iso05',
'cyr-sun16'), 'Spanish (Spain)': ('es_ES@euro', 'iso15', 'lat0-sun16'),
'Spanish (Chile)': ('es_CL', 'iso01', 'lat0-sun16'), 'Arabic (Syrian Arab
Republic)': ('ar_SY', 'iso06', 'LatArCyrHeb-16'), 'Czech': ('cs_CZ',
'iso02', 'lat2-sun16'), 'Irish': ('ga_IE@euro', 'iso15', 'lat0-sun16'),
'Arabic (Jordan)': ('ar_JO', 'iso06', 'LatArCyrHeb-16'), 'Italian
(Switzerland)': ('it_CH', 'iso01', 'lat0-sun16'), 'German (Belgium)':
('de_BE@euro', 'iso15', 'lat0-sun16'), 'Albanian': ('sq_AL', 'iso01',
'lat0-sun16'), 'Occitan (France)': ('oc_FR', 'iso01', 'lat0-sun16'),
'Finnish': ('fi_FI@euro', 'iso15', 'lat0-sun16'), 'Swedish (Sweden)':
('sv_SE', 'iso01', 'lat0-sun16'), 'English (Singapore)': ('en_SG', 'iso01',
'lat0-sun16'), 'Dutch (Belgium)': ('nl_BE@euro', 'iso15', 'lat0-sun16'),
'Spanish (Panama)': ('es_PA', 'iso01', 'lat0-sun16'), 'Spanish
(Venezuela)': ('es_VE', 'iso01', 'lat0-sun16'), 'English (Great Britain)':
('en_GB', 'iso01', 'lat0-sun16'), 'Russian': ('ru_RU.koi8r', 'koi8-u',
'cyr-sun16'), 'Norwegian, Nynorsk (Norway)': ('nn_NO', 'iso01',
'lat0-sun16'), 'English (Zimbabwe)': ('en_ZW', 'iso01', 'lat0-sun16'),
'English (USA)': ('en_US', 'iso01', 'lat0-sun16'), 'Tagalog (Philipines)':
('tl_PH', 'iso01', 'lat0-sun16'), 'Breton (France)': ('br_FR', 'iso01',
'lat0-sun16'), 'Chinese (P.R. of China)': ('zh_CN.GB2312', 'iso01',
'lat0-sun16'), 'Arabic (Yemen)': ('ar_YE', 'iso06', 'LatArCyrHeb-16'),
'Basque (Spain)': ('eu_ES@euro', 'iso15', 'lat0-sun16'), 'Arabic (Qatar)':
('ar_QA', 'iso06', 'LatArCyrHeb-16'), 'Arabic (Egypt)': ('ar_EG', 'iso06',
'LatArCyrHeb-16'), 'French (Belgium)': ('fr_BE@euro', 'iso15',
'lat0-sun16'), 'English (Ireland)': ('en_IE@euro', 'iso15', 'lat0-sun16'),
'Hungarian': ('hu_HU', 'iso02', 'lat2-sun16'), 'Arabic (Tunisia)':
('ar_TN', 'iso06', 'LatArCyrHeb-16'), 'French (Luxemburg)': ('fr_LU@euro',
'iso15', 'lat0-sun16'), 'Japanese': ('ja_JP.eucJP', 'iso01', 'lat0-sun16'),
'Uzbek (Uzbekistan)': ('uz_UZ', 'iso01', 'lat0-sun16'), 'Swedish
(Finland)': ('sv_FI@euro', 'iso15', 'lat0-sun16'), 'Arabic (Saudi Arabia)':
('ar_SA', 'iso06', 'LatArCyrHeb-16'), 'Spanish (Dominican Republic)':
('es_DO', 'iso01', 'lat0-sun16'), 'French (Canada)': ('fr_CA', 'iso01',
'lat0-sun16'), 'English (Canada)': ('en_CA', 'iso01', 'lat0-sun16'),
'German (Germany)': ('de_DE@euro', 'iso15', 'lat0-sun16'), 'Slovenian
(Slovenia)': ('sl_SI', 'iso02', 'lat2-sun16'), 'Spanish (Uruguay)':
('es_UY', 'iso01', 'lat0-sun16'), 'German (Switzerland)': ('de_CH',
'iso01', 'lat0-sun16'), 'English (Hong Kong)': ('en_HK', 'iso01',
'lat0-sun16'), 'English (Australia)': ('en_AU', 'iso01', 'lat0-sun16'),
'Catalan (Spain)': ('ca_ES@euro', 'iso15', 'lat0-sun16'), 'Spanish (Puerto
Rico)': ('es_PR', 'iso01', 'lat0-sun16'), 'Turkish': ('tr_TR', 'iso09',
'lat5-sun16'), 'Estonian': ('et_EE', 'iso01', 'lat0-sun16'), 'Arabic
(Sudan)': ('ar_SD', 'iso06', 'LatArCyrHeb-16'), 'Icelandic': ('is_IS',
'iso01', 'lat0-sun16'), 'English (Botswana)': ('en_BW', 'iso01',
'lat0-sun16'), 'Manx Gaelic (Britain)': ('gv_GB', 'iso01', 'lat0-sun16')}
    info: {'SUPPORTED': None}
  rootPassword: None
  diskset: DiskSet instance, containing members:
    disks: {'hda': <PedDisk object at 8489220>, 'hdb': <PedDisk object at
81e4a98>}
  tmpData: {'Splashscreen': 'pixmaps/first.png', 'WelcomeScreen':
'pixmaps/splash.png', 'TitleBar': 'pixmaps/anaconda_header.png', 'Title':
'Red Hat Linux Beta'}
  instLanguage: InstallTimeLanguage instance, containing members:
    kbd: {'Italian': 'it', 'Chinese(Traditional)': 'us', 'Korean': 'us',
'Russian': 'ru', 'English': 'us', 'Spanish': 'es', 'Norwegian':
'no-latin1', 'Swedish': 'se-latin1', 'French': 'fr-latin1', 'Japanese':
'jp106', 'Slovenian': 'slovene', 'German': 'de-latin1-nodeadkeys',
'Chinese(Simplified)': 'us', 'Czech': 'cz-lat2', 'Icelandic': 'is-latin1'}
    font: {'Italian': 'lat0-sun16', 'Chinese(Traditional)': 'None',
'Korean': 'None', 'Russian': 'cyr-sun16', 'English': 'default8x16',
'Spanish': 'lat0-sun16', 'Norwegian': 'lat0-sun16', 'Swedish':
'lat0-sun16', 'French': 'lat0-sun16', 'Japanese': 'Kon', 'Slovenian':
'lat2-sun16', 'German': 'lat0-16', 'Chinese(Simplified)': 'None', 'Czech':
'lat2-sun16', 'Icelandic': 'lat0-sun16'}
    langNicks: {'Italian': 'it_IT', 'Chinese(Traditional)': 'zh_TW.Big5',
'Korean': 'ko_KR.eucKR', 'Russian': 'ru_RU.koi8r', 'English': 'en_US',
'Spanish': 'es_ES', 'Norwegian': 'no_NO', 'Swedish': 'sv_SE', 'French':
'fr_FR', 'Japanese': 'ja_JP.eucJP', 'Slovenian': 'sl_SI', 'German':
'de_DE', 'Chinese(Simplified)': 'zh_CN.GB2312', 'Czech': 'cs_CZ',
'Icelandic': 'is_IS'}
    langList: ['Chinese(Simplified)', 'Chinese(Traditional)', 'Czech',
'English', 'French', 'German', 'Icelandic', 'Italian', 'Japanese',
'Korean', 'Norwegian', 'Russian', 'Slovenian', 'Spanish', 'Swedish']
    tz: {'Italian': 'Europe/Rome', 'Chinese(Traditional)': 'Asia/Taipei',
'Korean': 'Asia/Seoul', 'Russian': 'Europe/Moscow', 'English':
'America/New_York', 'Spanish': 'Europe/Madrid', 'Norwegian': 'Europe/Oslo',
'Swedish': 'Europe/Stockholm', 'French': 'Europe/Paris', 'Japanese':
'Asia/Tokyo', 'Slovenian': 'Europe/Ljubljana', 'German': 'Europe/Berlin',
'Chinese(Simplified)': 'Asia/Shanghai', 'Czech': 'Europe/Prague',
'Icelandic': 'Atlantic/Reykjavik'}
    tempDefault: 
    map: {'Italian': 'iso15', 'Chinese(Traditional)': 'None', 'Korean':
'None', 'Russian': 'koi8-r', 'English': 'iso01', 'Spanish': 'iso15',
'Norwegian': 'iso15', 'Swedish': 'iso15', 'French': 'iso15', 'Japanese':
'None', 'Slovenian': 'iso02', 'German': 'iso09', 'Chinese(Simplified)':
'None', 'Czech': 'iso02', 'Icelandic': 'iso15'}
    current: es_ES
  desktop: Desktop instance, containing members:
    runlevel: 3
    info: {}
  videocard: VideoCardInfo instance, containing members:
    orig_videocards: [<videocard.VideoCard instance at 81815a8>]
    primary: 0
    videocards: [<videocard.VideoCard instance at 81ee5c0>]
    orig_primary: 0
  floppyDevice: fd0
  xconfig: XF86Config instance, containing members:
    keyLayout: us
    manualModes: {}
    mouse: Mouse instance, containing members:
      device: psaux
      info: {'XMOUSETYPE': 'PS/2', 'FULLNAME': 'Generic - 3 Button Mouse
(PS/2)', 'MOUSETYPE': 'ps/2'}
      emu: 0
      wasProbed: 1
      emulate: 0
    monlist: {}
    keyRules: xfree86
    keyModel: pc101
    device: None
    monids: {}
    files: 
# The location of the RGB database.  Note, this is the name of the
# file minus the extension (like ".txt" or ".db").  There is normally
# no need to change the default.

    RgbPath	"/usr/X11R6/lib/X11/rgb"

# Multiple FontPath entries are allowed (they are concatenated together)
# By default, Red Hat 6.0 and later now use a font server independent of
# the X server to render fonts.

    FontPath   "unix/:7100"

    keyVariant: 
    videocard: VideoCard instance, containing members:
      server: XFree86
      cardManf: NVidia
      devID: RIVA TNT2
      probedcard: Card:RIVA TNT2
      vidRam: 32768
      device: None
      fbmodes: None
      descr: nVidia Corporation|Vanta [NV6]
      fbbpp: None
      cardData: {'SERVER': 'SVGA', 'NAME': 'RIVA TNT2', 'DRIVER': 'nv',
'NOCLOCKPROBE': '', 'CHIPSET': 'RIVATNT2', 'VENDOR': 'NVidia'}
    keyOptions: 
    modes: {'16': ['800x600']}
    res: 800x600
    monitor: MonitorInfo instance, containing members:
      monlist: None
      fbmonMode: {}
      monids: None
      monVert: 50 - 120
      orig_monHoriz: 30 - 61
      orig_monID: GSM3b18
      orig_monEisa: gsm3b18
      orig_monVert: 50 - 120
      fbmonSect: 
      orig_monName: StudioWorks
      monHoriz: 30 - 61
      monEisa: gsm3b18
      orig_fbmonSect: 
      monName: StudioWorks
      monID: GSM3b18
    skipx: 0
    fallbackModes: {'16': ['800x600']}
    skip: 0
    fbDepth: 16
  monitor: Already dumped
  upgrade: Boolean instance, containing members:
    val: 1
  instClass: DefaultInstall instance, containing members:
  partitions: Partitions instance, containing members:
    deletes: []
    reinitializeDisks: 0
    autoPartitionRequests: []
    nextUniqueID: 12
    autoClearPartType: 3
    requests: [<partitioning.PartitionSpec instance at 81d2288>,
<partitioning.PartitionSpec instance at 81db720>,
<partitioning.PartitionSpec instance at 81e4b88>,
<partitioning.PartitionSpec instance at 81e4ba0>,
<partitioning.PartitionSpec instance at 81e5060>,
<partitioning.PartitionSpec instance at 81e5940>,
<partitioning.PartitionSpec instance at 81e59a8>,
<partitioning.PartitionSpec instance at 81e64b8>,
<partitioning.PartitionSpec instance at 81e68d8>,
<partitioning.PartitionSpec instance at 81e6cf8>,
<partitioning.PartitionSpec instance at 8238590>]
    autoClearPartDrives: None
    useFdisk: 0
    useAutopartitioning: 1
  extraModules: []
  mouse: Already dumped
  bootloader: x86BootloaderInfo instance, containing members:
    useGrubVal: 0
    forceLBA32: 0
    password: None
    images: BootImages instance, containing members:
      images: {'hdb6': ('linux', 'Red Hat Linux', 'ext2')}
      default: hdb6
    pure: None
    device: hda
    configfile: /etc/lilo.conf
    above1024: 1
    kernelLocation: /boot/
    args: KernelArguments instance, containing members:
      args: 
    defaultDevice: None
    useLinear: 1
  timezone: Timezone instance, containing members:
    arc: 0
    utc: 0
    tz: None
  keyboard: Keyboard instance, containing members:
    beenset: 1
    layout: None
    model: None
    type: PC
    info: {'KEYBOARDTYPE': 'pc', 'KEYTABLE': 'es'}
  accounts: None
  dependencies: []
  comps: None
  upgradeRoot: [('hda6', 'ext2')]
  auth: Authentication instance, containing members:
    useNIS: 0
    sambaServer: 
    enableCache: 0
    nisServer: 
    useLdap: 0
    sambaWorkgroup: 
    krb5Kdc: 
    ldapTLS: 
    useHesiod: 0
    ldapServer: 
    nisDomain: 
    krb5Realm: 
    useLdapauth: 0
    hesiodRhs: 
    useShadow: 1
    nisuseBroadcast: 1
    useKrb5: 0
    useMD5: 1
    ldapBasedn: 
    krb5Admin: 
    hesiodLhs: 
    useSamba: 0
  firewall: Firewall instance, containing members:
    ports: []
    trustdevs: []
    dhcp: 0
    policy: 1
    ssh: 0
    custom: 1
    telnet: 0
    smtp: 0
    enabled: -1
    portlist: 
    http: 0
    ftp: 0
  dbpath: /var/lib/anaconda-rebuilddb1002011718
  network: Network instance, containing members:
    netdevices: {}
    gateway: 
    secondaryNS: 
    hostname: localhost.localdomain
    primaryNS: 
    domains: []
    isConfigured: 0
    readData: 0
    ternaryNS: 
  fsset: FileSystemSet instance, containing members:
    migratedfs: 0
    mountcount: 5
    entries: [<fsset.FileSystemSetEntry instance at 83cacc0>,
<fsset.FileSystemSetEntry instance at 83cae68>, <fsset.FileSystemSetEntry
instance at 83cb0f8>, <fsset.FileSystemSetEntry instance at 83cafe0>,
<fsset.FileSystemSetEntry instance at 83cb200>]
    progressWindow: <method InstallInterface.progressWindow of
InstallInterface instance at 81ca0a8>
    waitWindow: <method InstallInterface.waitWindow of InstallInterface
instance at 81ca0a8>
    messageWindow: <method InstallInterface.messageWindow of
InstallInterface instance at 81ca0a8>
  hdList: None
firstStep: 0
method: CdromInstallMethod instance, containing members:
  progressWindow: <method InstallInterface.progressWindow of
InstallInterface instance at 81ca0a8>
  device: hdc
  tree: /mnt/source
  currentDisc: 1
  loopbackFile: None
  messageWindow: <method InstallInterface.messageWindow of InstallInterface
instance at 81ca0a8>
instPath: /mnt/sysimage
flags: Flags instance, containing members:
  flags: {'autostep': 0, 'expert': 0, 'setupFilesystems': 1, 'serial': 0,
'reconfig': 0, 'test': 0}
intf: InstallInterface instance, containing members:
  showingHelpOnHelp: 0
  welcomeText: Red Hat Linux (C) 2001 Red Hat, Inc.
  langSearchPath: ['en_US', 'en', 'C']
  screen: SnackScreen instance, containing members:
    height: 25
    width: 80
    helpCb: <method InstallInterface.helpWindow of InstallInterface
instance at 81ca0a8>
step: 34
dispatch: Already dumped

Comment 1 Pablo Alcaraz 2001-10-02 11:55:31 UTC
Created attachment 33199 [details]
The anaconda dump

Comment 2 Pablo Alcaraz 2001-10-02 11:56:37 UTC
Sorry, When I cut and paste the anaconda dump, I saw the upload attach option :-(

Comment 3 Pablo Alcaraz 2001-10-02 13:55:17 UTC
Well... I was testing. 
The problem was that the installer confuse it because my pc was 2 hd with the
same partition scheme (I was a dd grom /dev/hda to /dev/hdb) and the installer
try  to look for the files in /dev/hdb (the backup partition) and doesn't in
/dev/hda.

I had to delete the linux partition in /dev/hdb and the installer pass succesufull.

It's an unhappy bug because I must to update and I can't make an easy backup (my
hds have 40gb each one).

Comment 4 Brent Fox 2001-10-02 15:44:12 UTC
When the installer crashes, can you look on VC4 and see if there are any cdrom
error messages?  I think you might have a bad cd.

Comment 5 Pablo Alcaraz 2001-10-03 13:36:36 UTC
No. The CD ar right.
I used it to install in another machine and Roswell installed it self nicely.

Later, I drop the mirror partition (hdb5 y hdb6 were backup with the same
informartion than hda5 y hda6) and it installed itself too

Comment 6 Brent Fox 2001-10-24 02:18:34 UTC
Hmm...can you try with the final 7.2 release (Enigma) and see if that makes a
difference?

Comment 7 Brent Fox 2001-11-05 14:45:39 UTC
Closing due to inactivity.  Please reopen if you have more information.


Note You need to log in before you can comment on or make changes to this bug.